<?php

declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('questions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('question_group_id')->constrained()->cascadeOnDelete();
            $table->text('text');
            $table->boolean('has_yes')->default(false);
            $table->boolean('has_no')->default(false);
            $table->boolean('has_na')->default(false);
            $table->string('details', 50)->nullable();
            $table->unsignedInteger('sort_order')->default(0);
            $table->boolean('is_scored')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('questions');
    }
};
